Results 1 to 7 of 7

Thread: error occurring when installing new packages..

  1. #1
    Join Date
    Feb 2014
    Beans
    3

    error occurring when installing new packages..

    whenever I install any new package I receive the following errors:

    Setting up se-toolkit (4.2.1-bt0) ...
    svn: 'http://svn.trustedsec.com/social_engineering_toolkit' path not found
    dpkg: error processing se-toolkit (--configure):
    subprocess installed post-installation script returned error exit status 1
    Setting up w3af (1.2-bt2) ...
    tar: pybloomfiltermmap-0.2.0.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Exiting with failure status due to previous errors
    /var/lib/dpkg/info/w3af.postinst: line 4: cd: pybloomfiltermmap-0.2.0: No such file or directory
    python: can't open file 'setup.py': [Errno 2] No such file or directory
    Setting up se-toolkit (4.2.1-bt0) ...
    svn: 'http://svn.trustedsec.com/social_engineering_toolkit' path not found
    dpkg: error processing se-toolkit (--configure):
    subprocess installed post-installation script returned error exit status 1
    Setting up w3af (1.2-bt2) ...
    tar: pybloomfiltermmap-0.2.0.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Exiting with failure status due to previous errors
    /var/lib/dpkg/info/w3af.postinst: line 4: cd: pybloomfiltermmap-0.2.0: No such file or directory
    python: can't open file 'setup.py': [Errno 2] No such file or directory

    have no idea about it...pls help to fix this issue.

  2. #2
    Join Date
    Jul 2013
    Location
    Wisconsin
    Beans
    2,354

    Re: error occurring when installing new packages..

    You seem to have two problems: se-toolkit and w3af.

    When possible, I recommend using software from the Ubuntu Repositories. That's what this forum supports. While we will try to help you, support for non-Ubuntu packages is provided by whoever put it online.

    se-toolkit is not in the Ubuntu Repositories. Where did you get it from?
    It's not an easily recoverable error. You should probably whoever you got that package from that it is broken.
    Don't try to install it anymore.
    Get rid of that broken package with sudo apt-get clean se-toolkit
    If it keeps trying to install, use sudo apt-get purge se-toolkit to stop it.

    Your version of w3af is not from the Ubuntu Repositories. Where did you get it from?
    You should probably whoever you got that package from that it is broken.
    Don't try to install it anymore.
    Get rid of that broken package with sudo apt-get clean w3af
    If it keeps trying to install, use sudo apt-get purge w3af to stop it.

  3. #3
    Join Date
    Feb 2014
    Beans
    3

    Re: error occurring when installing new packages..

    These packages were installed during an upgrade so it was downloaded by the distribution itself and these errors come every time i manually download any new software....so if I remove these packages will it cause any trouble?
    Yes indeed i'm using an ubuntu based distribution hence i felt to post my problem in this forum.

  4. #4
    Join Date
    Jul 2013
    Location
    Wisconsin
    Beans
    2,354

    Re: error occurring when installing new packages..

    Quote Originally Posted by jaison_john View Post
    These packages were installed during an upgrade
    That seems unlikely. Ubuntu upgrades do not magically add new packages.

    Depending upon the distro you are using, it sure seems like you added a PPA, third-party repository, or some .deb from the internet that required those packages.
    We can help you to identify the broken PPA/Repo/deb and remove it.

    Please show us the contents of your /etc/apt/sources.list ( the command is cat /etc/apt/sources.list )
    Please show us the listing of your /etc/apt/sources.list.d/ directory ( the command is ls /etc/apt/sources.list.d )
    Last edited by ian-weisser; February 21st, 2014 at 04:10 AM.

  5. #5
    Join Date
    Jul 2007
    Location
    Magic City of the Plains
    Beans
    Hidden!
    Distro
    Xubuntu 15.04 Vivid Vervet

    Re: error occurring when installing new packages..

    Quote Originally Posted by jaison_john View Post
    Yes indeed i'm using an ubuntu based distribution hence i felt to post my problem in this forum.
    Please clarify which distribution you're running.

  6. #6
    Join Date
    Feb 2014
    Beans
    3

    Re: error occurring when installing new packages..

    Backtrack

  7. #7
    Join Date
    Oct 2006
    Location
    Ayrshire
    Beans
    40,873
    Distro
    Ubuntu Development Release

    Re: error occurring when installing new packages..

    Thread moved to the "Other OS/Distro Support" forum.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •